# SPDX-License-Identifier: MIT
%global source_version 2.001
%global source_release 9
%global source_url     http://www.yanone.de/typedesign/kaffeesatz/
%global source_tags    %{expand:
Epoch: 1
}

%global forge_url    https://github.com/alexeiva/yanone-kaffeesatz/
%global forge_commit 1da49356a388c67da5b51d54fd6ad5a686d96c46

%global default_fonts_foundry      Yanone
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *txt *html *md
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Kaffeesatz
%global fonts_summary            Yanone Kaffeesatz, a decorative font family
%global fonts_fonts              fonts/ttf/*ttf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Yanone Kaffeesatz is a sans-serif decorative Latin font family by Jan Gerner,
suitable for titles and short runs of text.

Its Bold is reminiscent of 1920s coffee house typography, while the rather thin
fonts bridge the gap to present times.

You can witness Kaffeesatz use on German fresh-water gyms, Dubai mall promos
and New Zealand McDonalds ads. And of course on coffee and foodstuff packaging
and café design around the globe.}

%auto_init
%auto_pkg

%sourcelist
%auto_sources
60-%{fonts_name}.xml

%prep
%auto_prep
install -m 644 %{_sourcedir}/*xml .
chmod 644 %{fonts_docs} %{fonts_licenses}

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-9.20200215git1da4935
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-8.20200215git1da4935
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-7.20200215git1da4935
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-6.20200215git1da4935
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-5.20200215git1da4935
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-4
✅ Lint, lint, lint and lint again

* Thu Feb 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-3
✅ Fix license processing

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1:2.001-1.20191209git1da4935
✅ Convert to fonts-rpm-macros use
✅ Package the Google Fonts extended version

* Sun Nov 25 2007 Nicolas Mailhot <nim@fedoraproject.org>
- 20061120-3
✅ Initial packaging
